<!doctype html public "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
  <title>Emacs bug tracking system</title>
  <link rev="made" href="mailto:bug-gnu-emacs@gnu.org">
</head>
<body>

<h1>Emacs bug tracking system main contents page</h1>

<p>Emacs has a bug tracking system (BTS) in which we file
details of bugs reported by users and developers.  Each bug is given a
number, and is kept on file until it is marked as having been dealt
with.</p>



<h2>Documentation about the bug tracking system</h2>

<ul>
  <li><a href="Reporting.html">Instructions for reporting a bug</a>
  <li><a href="Access.html">Ways of accessing the bug report logs</a>
  <li><a href="server-request.html">Requesting bug reports by email</a>
</ul>

<ul>
  <li><a href="Developer.html">Advanced information on how to use the system</a>
  <li><a href="server-control.html">Information on manipulating bugs by email</a>
  <li><a href="server-refcard.html">Mailservers' reference card</a>
</ul>

<h2>Viewing bug reports on the WWW</h2>

<p>Find a bug by <strong>number</strong>:
  <br>
  <form method="get" action="http://debbugs.gnu.org/cgi/bugreport.cgi">
  <input type="text" size="9" name="bug" value="">
  <input type="submit" value="Find">
  <input type="checkbox" name="mbox" value="yes"> as mbox
  </form>

<form method="get" action="http://debbugs.gnu.org/cgi/pkgreport.cgi">
<p>Find bugs by:
<input type="radio" name="which" value="pkg" checked><strong>package</strong>
<input type="radio" name="which" value="src"><strong>source&nbsp;package</strong>
<input type="radio" name="which" value="maint"><strong>maintainer&nbsp;email</strong>
<input type="radio" name="which" value="submitter"><strong>submitter&nbsp;email</strong>
<input type="radio" name="which" value="tag"><strong>tag</strong>
<br>
What to search for:<input type="text" name="data" value="" size="50">
<input type="submit" value="Find">
</form>

<p>The following bug report indices are available:
<ul>
  <li>Packages with
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=pkg">active</a>
      and
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=pkg&amp;archived=yes">archived</a>
      bug reports.
  <li>Source packages with
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=src">active</a>
      and
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=src&amp;archived=yes">archived</a>
      bug reports.
  <li>Maintainers of packages with
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=maint">active</a>
      and
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=maint&amp;archived=yes">archived</a>
      bug reports.
  <li>Submitters of
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=submitter">active</a>
      and
      <a href="http://debbugs.gnu.org/cgi/pkgindex.cgi?indexon=submitter&amp;archived=yes">archived</a>
      bug reports.
</ul>



<HR>
 <ADDRESS>Emacs maintainers &lt;<A HREF="mailto:bug-gnu-emacs@gnu.org">bug-gnu-emacs@gnu.org</A>&gt;.
 Last modified:
 <!--timestamp-->
 Thu, 31 Dec 2009 15:56:38 UTC
 <!--timestamp-->
	  
 <P>
 <A HREF="http://debbugs.gnu.org/">Debian bug tracking system</A><BR>
 Copyright (C) 1999 Darren O. Benham,
 1997 nCipher Corporation Ltd,
 1994-97 Ian Jackson.
 </ADDRESS>


